// SPDX-FileCopyrightText: 2022 CERN (home.cern)
//
// SPDX-License-Identifier: CERN-OHL-W-2.0+

`define ADDR_MT_CPU_LR_STAT            8'h0
`define MT_CPU_LR_STAT_CORE_ID_OFFSET 0
`define MT_CPU_LR_STAT_CORE_ID 32'h0000000f
`define ADDR_MT_CPU_LR_NTF_INT         8'h4
`define ADDR_MT_CPU_LR_UART_CHR        8'h8
`define ADDR_MT_CPU_LR_HMQ_STAT        8'h40
`define MT_CPU_LR_HMQ_STAT_IN_OFFSET 0
`define MT_CPU_LR_HMQ_STAT_IN 32'h000000ff
`define MT_CPU_LR_HMQ_STAT_OUT_OFFSET 16
`define MT_CPU_LR_HMQ_STAT_OUT 32'h00ff0000
`define ADDR_MT_CPU_LR_RMQ_STAT        8'h44
`define MT_CPU_LR_RMQ_STAT_IN_OFFSET 0
`define MT_CPU_LR_RMQ_STAT_IN 32'h000000ff
`define MT_CPU_LR_RMQ_STAT_OUT_OFFSET 16
`define MT_CPU_LR_RMQ_STAT_OUT 32'h00ff0000
`define ADDR_MT_CPU_LR_WR_STAT         8'h80
`define MT_CPU_LR_WR_STAT_LINK_OK_OFFSET 0
`define MT_CPU_LR_WR_STAT_LINK_OK 32'h00000001
`define MT_CPU_LR_WR_STAT_TIME_OK_OFFSET 1
`define MT_CPU_LR_WR_STAT_TIME_OK 32'h00000002
`define MT_CPU_LR_WR_STAT_AUX_CLOCK_OK_OFFSET 8
`define MT_CPU_LR_WR_STAT_AUX_CLOCK_OK 32'h0000ff00
`define ADDR_MT_CPU_LR_TAI_CYCLES      8'h84
`define ADDR_MT_CPU_LR_TAI_SEC         8'h88
`define ADDR_MT_CPU_LR_DELAY_CNT       8'h8c
`define ADDR_MT_CPU_LR_GPIO_IN         8'hc0
`define ADDR_MT_CPU_LR_GPIO_SET        8'hc4
`define ADDR_MT_CPU_LR_GPIO_CLEAR      8'hc8
