// SPDX-FileCopyrightText: 2022 CERN (home.cern)
//
// SPDX-License-Identifier: CERN-OHL-W-2.0+

`define ADDR_MT_CPU_CSR_RESET          9'h0
`define ADDR_MT_CPU_CSR_INT            9'h4
`define ADDR_MT_CPU_CSR_INT_VAL_LO     9'h8
`define ADDR_MT_CPU_CSR_INT_VAL_HI     9'hc
`define ADDR_MT_CPU_CSR_SMEM_OP        9'h18
`define ADDR_MT_CPU_CSR_HMQ_SEL        9'h1c
`define MT_CPU_CSR_HMQ_SEL_QUEUE_OFFSET 0
`define MT_CPU_CSR_HMQ_SEL_QUEUE 32'h00000007
`define MT_CPU_CSR_HMQ_SEL_CORE_OFFSET 8
`define MT_CPU_CSR_HMQ_SEL_CORE 32'h00000700
`define ADDR_MT_CPU_CSR_HMQI_STATUS_LO 9'h40
`define ADDR_MT_CPU_CSR_HMQI_STATUS_HI 9'h48
`define ADDR_MT_CPU_CSR_HMQO_STATUS_LO 9'h60
`define ADDR_MT_CPU_CSR_HMQO_STATUS_HI 9'h68
`define ADDR_MT_CPU_CSR_HMQI_INTEN_LO  9'h80
`define ADDR_MT_CPU_CSR_HMQI_INTEN_HI  9'h88
`define ADDR_MT_CPU_CSR_HMQO_INTEN_LO  9'h90
`define ADDR_MT_CPU_CSR_HMQO_INTEN_HI  9'h98
`define ADDR_MT_CPU_CSR_CORE_SEL       9'hc0
`define ADDR_MT_CPU_CSR_UADDR          9'hc4
`define MT_CPU_CSR_UADDR_ADDR_OFFSET 0
`define MT_CPU_CSR_UADDR_ADDR 32'h000fffff
`define ADDR_MT_CPU_CSR_UDATA          9'hc8
`define ADDR_MT_CPU_CSR_UART_MSG       9'h100
`define MT_CPU_CSR_UART_MSG_DATA_OFFSET 0
`define MT_CPU_CSR_UART_MSG_DATA 32'h000000ff
`define ADDR_MT_CPU_CSR_UART_POLL      9'h104
`define MT_CPU_CSR_UART_POLL_READY_OFFSET 0
`define MT_CPU_CSR_UART_POLL_READY 32'h000000ff
`define ADDR_MT_CPU_CSR_UART_IMSK      9'h108
`define MT_CPU_CSR_UART_IMSK_ENABLE_OFFSET 0
`define MT_CPU_CSR_UART_IMSK_ENABLE 32'h000000ff
`define ADDR_MT_CPU_CSR_DBG_STATUS     9'h180
`define ADDR_MT_CPU_CSR_DBG_FORCE      9'h184
`define ADDR_MT_CPU_CSR_DBG_INSN_READY 9'h188
`define ADDR_MT_CPU_CSR_DBG_CORE0_INSN 9'h18c
`define ADDR_MT_CPU_CSR_DBG_CORE1_INSN 9'h190
`define ADDR_MT_CPU_CSR_DBG_CORE0_MBX  9'h194
`define ADDR_MT_CPU_CSR_DBG_CORE1_MBX  9'h198
